=== debian/changelog ===
libjconv (2.8-7) unstable; urgency=medium

  * QA upload.
  * Switch to debhelper compatibility level 9.
  * Add build-indep and build-arch targets in debian/rules.
  * Bump Standards-Version to 3.9.8.
  * Remove libc6-dev from libjconv-dev Depends.
  * Remove duplicate Section field in binary stanza from source stanza.
  * Switch from deprecated substvar Source-Version to binary:Version.
  * Switch to machine-readable copyright format 1.0.
  * Enable bindnow hardening buildflag.
  * Remove template boilerplate from debian/rules.
  * Use dpkg makefile fragments in debian/rules.
  * Switch to source format 3.0 (quilt).
  * Fix package Description fields.
  * Remove obsolete Conflicts from libjconv-bin package.

 -- Guillem Jover <guillem@debian.org>  Mon, 11 Jul 2016 02:59:12 +0200

libjconv (2.8-6) unstable; urgency=low

  * QA upload.
  * Specify `-L.' when linking with libjconv.so.  Closes: #421784.

 -- Matej Vela <vela@debian.org>  Tue,  1 May 2007 15:45:47 +0200

libjconv (2.8-5) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#419090); set maintainer to Debian QA Group.
  * Link jconv to libjconv.so.
  * Switch to debhelper 5.
  * Fix override disparities.
    - Change section of libjconv-bin to devel.
    - Change section of libjconv-dev to libdevel.
  * debian/copyright: Update FSF address.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Mon, 30 Apr 2007 11:29:37 +0200

libjconv (2.8-4.0) unstable; urgency=low

  * NMU (DebCamp BSP).
  * debian/control:
    + Set debhelper dependency to (>= 3.0).
    + Proper conflicts with wdg-htmlvalidator (<< 1.5.5-2) to fix filename
      collision in libjconv-bin (Closes: #148301, #201517).
    + Set policy to 3.6.0.
    + Rewrapped the long description (Closes: #131579).
  * debian/copyright:
    + Replaced "Author(s)" with "Authors".
  * debian/rules:
    + Removed deprecated call to dh_undocumented.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 19 Jul 2003 10:50:43 +0200

libjconv (2.8-4) unstable; urgency=low

  * debian/control: spelling error in description fixed. (Closes: #124986)

 -- Peter Novodvorsky <nidd@debian.org>  Sun, 30 Dec 2001 23:51:38 +0300

libjconv (2.8-3) unstable; urgency=low

  * Expanded short description. (Closes: #103014) 

 -- Peter Novodvorsky <nidd@debian.org>  Mon,  2 Jul 2001 23:15:37 +0400

libjconv (2.8-2) unstable; urgency=low

  * Changed sections of the packages. Now -dev is devel, lib is libs and
    -bin is misc.

 -- Peter Novodvorsky <nidd@debian.org>  Tue, 17 Apr 2001 09:33:06 +0400

libjconv (2.8-1) unstable; urgency=low

  * Initial Release. (Closes: #94020)

 -- Peter Novodvorsky <nidd@debian.org>  Sun, 15 Apr 2001 02:01:09 +0400
