=== debian/control ===
Source: libjconv
Priority: optional
Section: libs
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8

Package: libjconv-dev
Section: libdevel
Architecture: any
Depends: libjconv2 (= ${binary:Version}), ${misc:Depends}
Description: charset conversion library - development
 This library provide Japanese Code Conversion capability
 based on iconv. It is based by application to enlarge
 number of supported encoding. It is not only for Japanese
 people, it is used as helper in sylpheed mailer.
 .
 This package contains development files.

Package: libjconv2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: charset conversion library
 This library provide Japanese Code Conversion capability
 based on iconv. It is based by application to enlarge
 number of supported encoding. It is not only for Japanese
 people, it is used as helper in sylpheed mailer.

Package: libjconv-bin
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: charset conversion library - binaries
 This library provide Japanese Code Conversion capability based on iconv. It
 is based by application to enlarge number of supported encoding. It is not
 only for Japanese people, it is used as helper in sylpheed mailer.
 .
 This package contains the jconv program which does conversions between
 encodings using libjconv.
