=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

include /usr/share/dpkg/default.mk

export CPPFLAGS CFLAGS LDFLAGS

# shared library versions, option 1
version=2.8
major=2

devdir := debian/libjconv-dev
libdir := debian/libjconv$(major)
bindir := debian/libjconv-bin

build-indep:

build-arch:
	dh_testdir

	$(MAKE) MAJOR=$(major)

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot

	$(MAKE) clean

	dh_clean

.PHONY: build-indep build-arch build clean

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	install -m 755 libjconv.so $(libdir)/usr/lib/libjconv.so.$(version)
	install -m 644 libjconv.a $(devdir)/usr/lib
	install -m 755 jconv $(bindir)/usr/bin
	install -m 644 jconv.h $(devdir)/usr/include
	install -m 644 default.conf $(libdir)/etc/libjconv

binary-indep: build-indep
# We have nothing to do by default.

binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -Llibjconv$(major) -l$(libdir)/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: install-arch binary-indep binary-arch binary
